#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#ifdef HAVE_CONFIG_H
#	include "config.h"
#endif /* HAVE_CONFIG_H */

#include "nodes.h"

int main(int argc, char *argv[])
{
    int size, all, optind;
    char *filename;
    char cmd[L_tmpnam + sizeof("rm -f ")];

    if (nodes_init(argc, argv, 0, &filename, &size, &all, &optind) != 0)
        return 1;

    if (all) {
        char cmd[sizeof("mpirun -np hostname") + 10];
        snprintf(cmd, sizeof("mpirun -np hostname") + 10,
                "mpirun -np %d hostname", size);
        return system(cmd);
    }


    snprintf(cmd, L_tmpnam + sizeof("cat "), "cat %s", filename);

    system(cmd);

    snprintf(cmd, L_tmpnam + sizeof("rm -f "), "rm -f %s", filename);

    system(cmd);

    return 0;
}
